package sls_inner

//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
//
// Code generated by Alibaba Cloud SDK Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

import (
	"github.com/aliyun/alibaba-cloud-sdk-go/sdk/requests"
	"github.com/aliyun/alibaba-cloud-sdk-go/sdk/responses"
)

// GetAcceleration invokes the sls_inner.GetAcceleration API synchronously
// api document: https://help.aliyun.com/api/sls-inner/getacceleration.html
func (client *Client) GetAcceleration(request *GetAccelerationRequest) (response *GetAccelerationResponse, err error) {
	response = CreateGetAccelerationResponse()
	err = client.DoAction(request, response)
	return
}

// GetAccelerationWithChan invokes the sls_inner.GetAcceleration API asynchronously
// api document: https://help.aliyun.com/api/sls-inner/getacceleration.html
// asynchronous document: https://help.aliyun.com/document_detail/66220.html
func (client *Client) GetAccelerationWithChan(request *GetAccelerationRequest) (<-chan *GetAccelerationResponse, <-chan error) {
	responseChan := make(chan *GetAccelerationResponse, 1)
	errChan := make(chan error, 1)
	err := client.AddAsyncTask(func() {
		defer close(responseChan)
		defer close(errChan)
		response, err := client.GetAcceleration(request)
		if err != nil {
			errChan <- err
		} else {
			responseChan <- response
		}
	})
	if err != nil {
		errChan <- err
		close(responseChan)
		close(errChan)
	}
	return responseChan, errChan
}

// GetAccelerationWithCallback invokes the sls_inner.GetAcceleration API asynchronously
// api document: https://help.aliyun.com/api/sls-inner/getacceleration.html
// asynchronous document: https://help.aliyun.com/document_detail/66220.html
func (client *Client) GetAccelerationWithCallback(request *GetAccelerationRequest, callback func(response *GetAccelerationResponse, err error)) <-chan int {
	result := make(chan int, 1)
	err := client.AddAsyncTask(func() {
		var response *GetAccelerationResponse
		var err error
		defer close(result)
		response, err = client.GetAcceleration(request)
		callback(response, err)
		result <- 1
	})
	if err != nil {
		defer close(result)
		callback(nil, err)
		result <- 0
	}
	return result
}

// GetAccelerationRequest is the request struct for api GetAcceleration
type GetAccelerationRequest struct {
	*requests.RpcRequest
	Project string `position:"Query" name:"Project"`
}

// GetAccelerationResponse is the response struct for api GetAcceleration
type GetAccelerationResponse struct {
	*responses.BaseResponse
	RequestId         string            `json:"RequestId" xml:"RequestId"`
	Code              string            `json:"Code" xml:"Code"`
	Success           string            `json:"Success" xml:"Success"`
	Message           string            `json:"Message" xml:"Message"`
	AccelerationModel AccelerationModel `json:"AccelerationModel" xml:"AccelerationModel"`
}

// CreateGetAccelerationRequest creates a request to invoke GetAcceleration API
func CreateGetAccelerationRequest() (request *GetAccelerationRequest) {
	request = &GetAccelerationRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	request.InitWithApiInfo("Sls-inner", "2018-05-09", "GetAcceleration", "", "")
	return
}

// CreateGetAccelerationResponse creates a response to parse from GetAcceleration response
func CreateGetAccelerationResponse() (response *GetAccelerationResponse) {
	response = &GetAccelerationResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
